module Feature.Handlers ( pwLookup ) where

import Core.Types
import Core.Templates
import qualified Core.Mongo as DB

import Control.Monad.Reader (ask, lift)
import Data.AesonBson (aesonify)
import Data.Bson (Document, Field (..), Value (Array, Doc), lookup)
import qualified Data.Text as T
import qualified Data.Text.Lazy as LT
import Web.Scotty.Trans (html, param)
import Prelude hiding (id, lookup)

pwLookup :: PurrAction ()
pwLookup = do 
  id  <- param "id"
  doc <- DB.findByLink id
  html $ LT.pack $ renderIndex id (pwLook doc)
    where
      pwLook :: Maybe Document -> Maybe String
      pwLook (Just x) = (lookup "password" x) :: Maybe String
      pwLook _ = Nothing
